Subject: printing to netatalk with samba

From: "Joachim Nestler" <[email-masked]>
Date: Thu, 25 Jan 2001 11:59:55 +0100

Hallo,
Im trying ( for 4 weeks) to print to my Apple 
Laserwriter form my PC over the Linux-Server. 
Now I can print from the Linux-Server
directly print with the command 

lpr -P lp4 <hostname>

On my Windows PC is win Mill.-Edt. installt and 
the Linux-Syxstem is Suse Linux 7.0 professional Edt.

My Problem is that I cannot find the Printer in my
network-enviroment but the filesharing with  
Macintosh <-> Linux <-> Windows is working fine.

Does anybody know, how can I prepare my config-files
for the prining?
Any advice would be appreciated!

-smb.conf-
[global]
    	workgroup = MYGROUP
	netbios name = SERVER2S
	encrypt passwords = Yes
	max log size = 500
	keepalive = 30
	kernel oplocks = No
	hosts allow = 192.168.1.0/24 localhost
	printcap name = /etc/printcap
	printing = bsd

[lp4]
	path = /var/spool/lpd/alwp630
	guest ok = Yes
	printable = Yes
	print command = lpr -P lp4 %P
	printer = lp4

[printers]
	comment = all Printers
	path = /var/spool/lpd
	create mask = 0700
	guest ok = Yes
	printable = Yes

-printcap-
lp4|daten LaserWriter|LaserWriterPro630:\
	:lp=/var/spool/lpd/alwp630/null:\
	:of=/usr/lib/atalk/filters/ofpap:\
	:sd=/var/spool/lpd/alwp630:\
	:lf=/var/spool/lpd/alwp630/log:\
	:af=/var/spool/lpd/alwp630/acct:\
	:ar:bk:mx#0:\
	:tr=:cl:sh:

______________________________________________________________________________
Die Fachpresse ist sich einig: WEB.DE 17mal Testsieger! Kostenlos E-Mail, 
Fax, SMS, Verschlüsselung, POP3, WAP....testen Sie uns! http://freemail.web.de